VerificationResult (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.verifier.VerificationResult class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.verifier
Class VerificationResult

    java.lang.Object
      org.apache.bcel.verifier.VerificationResult

    public class VerificationResult

extends Object

A VerificationResult is what a PassVerifier returns after verifying.

Version:
  $Id: VerificationResult.java 386056 2006-03-15 11:31:56Z tcurdt $

Field Summary
`static int` | `VERIFIED_NOTYET` Constant to indicate verification has not been tried yet.
`static int` | `VERIFIED_OK` Constant to indicate verification was passed.
`static int` | `VERIFIED_REJECTED` Constant to indicate verfication failed.
`static VerificationResult` | `VR_NOTYET` Canonical VerificationResult for not-yet-tried verifications.
`static VerificationResult` | `VR_OK` Canonical VerificationResult for passed verifications.

Constructor Summary
`VerificationResult(int status, String message)` The usual constructor.

Method Summary
`boolean` | `equals(Object o)` Returns if two VerificationResult instances are equal.
`String` | `getMessage()` Returns a detailed message.
`int` | `getStatus()` Returns one one the VERIFIED_OK, VERIFIED_NOTYET, VERIFIED_REJECTED constants.
`int` | `hashCode()`
`String` | `toString()` Returns a String representation of the VerificationResult.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VERIFIED_NOTYET

    public static final int VERIFIED_NOTYET

  Constant to indicate verification has not been tried yet. This happens if some earlier verification pass did not return VERIFIED_OK.

  See Also:
    Constant Field Values

### VERIFIED_OK

    public static final int VERIFIED_OK

  Constant to indicate verification was passed.

  See Also:
    Constant Field Values

### VERIFIED_REJECTED

    public static final int VERIFIED_REJECTED

  Constant to indicate verfication failed.

  See Also:
    Constant Field Values

### VR_NOTYET

    public static final VerificationResult VR_NOTYET

  Canonical VerificationResult for not-yet-tried verifications. This happens if some earlier verification pass did not return VERIFIED_OK.

### VR_OK

    public static final VerificationResult VR_OK

  Canonical VerificationResult for passed verifications.

Constructor Detail

### VerificationResult

    public VerificationResult(int status,
                              String message)

  The usual constructor.

Method Detail

### getStatus

    public int getStatus()

  Returns one one the VERIFIED_OK, VERIFIED_NOTYET, VERIFIED_REJECTED constants.

### getMessage

    public String getMessage()

  Returns a detailed message.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code value for the object.

### equals

    public boolean equals(Object o)

  Returns if two VerificationResult instances are equal.

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Returns a String representation of the VerificationResult.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.